### Hierarchy

- unknown
  - GetInventoryRequest

## Index

### Constructors

- constructor

### Methods

- getVersion
- serializeBinary
- setVersion
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetInventoryRequest(): GetInventoryRequest

- Inherited from jspb.Message.constructor

  #### Returns GetInventoryRequest

## Methods

### getVersion

- getVersion(): string

- - Defined in src/protobuf/pb_pb.d.ts:586

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:589

  #### Returns Uint8Array

### setVersion

- setVersion(value: string): GetInventoryRequest

- - Defined in src/protobuf/pb_pb.d.ts:587

  #### Parameters

  - ##### value: string

  #### Returns GetInventoryRequest

### toObject

- toObject(includeInstance?: boolean): GetInventoryRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:590

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetInventoryRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetInventoryRequest

- - Defined in src/protobuf/pb_pb.d.ts:593

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetInventoryRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetInventoryRequest, reader: BinaryReader): GetInventoryRequest

- - Defined in src/protobuf/pb_pb.d.ts:594

  #### Parameters

  - ##### message: GetInventoryRequest

  - ##### reader: BinaryReader

  #### Returns GetInventoryRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetInventoryRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:592

  #### Parameters

  - ##### message: GetInventoryRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetInventoryRequest ): GetInventoryRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:591

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetInventoryRequest

  #### Returns GetInventoryRequest . AsObject

Generated using TypeDoc